Page MenuHomePhabricator

UploadWizard: Implement interface like HotCat for suggesting categories
Open, LowPublic

Description

Author: firilacroco

Description:
A good and useful feature for UploadWizard would be an improvement to the actual category helper. For example if I type "Buildings in Brasov" (without any diacritic) it should suggest me "Buildings in Braşov" (s with cedilla). Also, if a category is a redirect to another one (with {{category redirect}} template), it should automatically change the category to the target one (like HotCat does).


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=38785
https://bugzilla.wikimedia.org/show_bug.cgi?id=27312

Details

Reference
bz40076

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz40076.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 7 2012, 1:13 PM

firilacroco wrote:

Also, it shouldn't be case-sensitive when suggesting categories.

  • Bug 28740 has been marked as a duplicate of this bug. ***

The case-sensitive part is fixed already (see bug marked duplicate), but the rest of it might not be a bad idea.

Rillke added a comment.Nov 3 2012, 2:32 PM

Also, it should allow listing sub-categories and super-categories like HotCat does and if the category in question contains a description, a tooltip with the description should be shown possibly along with one sample category member. Then, categorizing would start making fun.

Rillke added a comment.Nov 3 2012, 2:34 PM

...of course this would be easier if there would be a field for category-descriptions in the database; (lang->description_text)...

If the case sensitive bug was fixed, then there is an issue. I get case sensitive category lookup when using the form today.

Adding category "achilles bocchius" does not find "Achilles *B*occhius"

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:14 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:14 PM

For example if I type "Buildings in Brasov" (without any diacritic) it should suggest me "Buildings in Braşov" (s with cedilla).

I get case sensitive category lookup when using the form today. Adding category "achilles bocchius" does not find "Achilles *B*occhius"

Both of these issues were fixed for good as T40785, and they now behave correctly on Commons.

I'm working on T112764: Replace CoolCats with mw.widgets.CategorySelector, which makes the category selector a lot closer to HotCat, but still very far from being exactly HotCat. It's going to look somewhat like this: (details subject to change)

As you can see it's missing the more advanced of HotCat's features. I'm not sure what's expected on this task; I have a suspicion that what you really want is to actually use the real HotCat instead of the fancy selectors. I'm not sure if HotCat supports that (can you even have more than one instance of it on a single page? can you get the categories from it programatically?).